package com.op.job;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.op.common.security.annotation.EnableCustomConfig;
import com.op.common.security.annotation.EnableRyFeignClients;
import com.op.common.swagger.annotation.EnableCustomSwagger2;

/**
 * 定时任务
 * 
 * @author OP
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class JobApplication {
	public static void main(String[] args) {
		SpringApplication.run(JobApplication.class, args);
		System.err.println("定时任务服务启动成功\n"
				+ "                   _       _     \r\n"
				+ "                  (_)     | |    \r\n"
				+ "  ___  _ __ ______ _  ___ | |__  \r\n"
				+ " / _ \\| '_ \\______| |/ _ \\| '_ \\ \r\n"
				+ "| (_) | |_) |     | | (_) | |_) |\r\n"
				+ " \\___/| .__/      | |\\___/|_.__/ \r\n"
				+ "      | |        _/ |            \r\n"
				+ "      |_|       |__/             \r\n");
	}
}
