package com.op.mes;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.op.common.security.annotation.EnableCustomConfig;
import com.op.common.security.annotation.EnableRyFeignClients;
import com.op.common.swagger.annotation.EnableCustomSwagger2;

/**
 * 系统模块
 *
 * @author OP
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class SapApplication {
	public static void main(String[] args) {
		SpringApplication.run(SapApplication.class, args);
		System.err.println("Sap服务启动成功");
	}
}
