package com.op.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.op.common.security.annotation.EnableRyFeignClients;

/**
 * 认证授权中心
 * 
 * @author OP
 */
@EnableRyFeignClients
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class AuthApplication {
	public static void main(String[] args) {
		SpringApplication.run(AuthApplication.class, args);
		System.err.println("权限启动成功\n"
				+ "  ____  _____              _    _ _______ _    _ \r\n"
				+ " / __ \\|  __ \\        /\\  | |  | |__   __| |  | |\r\n"
				+ "| |  | | |__) |_____ /  \\ | |  | |  | |  | |__| |\r\n"
				+ "| |  | |  ___/______/ /\\ \\| |  | |  | |  |  __  |\r\n"
				+ "| |__| | |         / ____ \\ |__| |  | |  | |  | |\r\n"
				+ " \\____/|_|        /_/    \\_\\____/   |_|  |_|  |_|\r\n");
	}
}
