package com.op.common.datascope.annotation;

import java.lang.annotation.*;

/**
 * 自动设置当前数据源及数据所属的部门
 *
 * @ClassName: DataPoolDept
 * @Description: TODO
 * @author shichangzhou
 * @date 2023年4月24日 下午5:47:07
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface PoolDeptAuto {

	// 是否自动设置数据源标识
	public boolean pool() default true;

	// 是否自动设置部门
	public boolean dept() default true;

}
