package com.op.gateway;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;

/**
 * 网关启动程序
 * 
 * @author OP
 */
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class GatewayApplication {
	public static void main(String[] args) {
		SpringApplication.run(GatewayApplication.class, args);
		System.err.println("网关启动成功\n" + " .-------.       ____     __        \n"
				+"  ____  _____         _____       _______ ______ \r\n"
				+ " / __ \\|  __ \\       / ____|   /\\|__   __|  ____|\r\n"
				+ "| |  | | |__) |_____| |  __   /  \\  | |  | |__   \r\n"
				+ "| |  | |  ___/______| | |_ | / /\\ \\ | |  |  __|  \r\n"
				+ "| |__| | |          | |__| |/ ____ \\| |  | |____ \r\n"
				+ " \\____/|_|           \\_____/_/    \\_\\_|  |______|\r\n");
	}
}
