package com.op.gen;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.op.common.security.annotation.EnableCustomConfig;
import com.op.common.security.annotation.EnableRyFeignClients;
import com.op.common.swagger.annotation.EnableCustomSwagger2;

/**
 * 代码生成
 * 
 * @author OP
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringBootApplication
public class GenApplication {
	public static void main(String[] args) {
		SpringApplication.run(GenApplication.class, args);
		System.err.println("代码生成器启动成功\n"
				+ "  ___  _ __ ______ __ _  ___ _ __  \r\n"
				+ " / _ \\| '_ \\______/ _` |/ _ \\ '_ \\ \r\n"
				+ "| (_) | |_) |    | (_| |  __/ | | |\r\n"
				+ " \\___/| .__/      \\__, |\\___|_| |_|\r\n"
				+ "      | |          __/ |           \r\n"
				+ "      |_|         |___/            \r\n");
	}
}
